import numpy as np
import matplotlib.pyplot as plt
# --------------------------------------------------------------------------------------
# FUNCION
# --------------------------------------------------------------------------------------
def funcion(x):
    return np.exp(x) - 3 * x
# --------------------------------------------------------------------------------------
# GRAFICAR
# --------------------------------------------------------------------------------------
def graficar_funcion():
    # Crear un rango de valores para x
    x = np.linspace(-2, 3, 100)
    # Evaluar la función para cada valor de x
    y = funcion(x)
    # Crear la gráfica
    plt.plot(x, y, label=r'$f(x) = e^x - 3x$')
    plt.axhline(0, color='black',linewidth=1)  # Línea horizontal en y=0
    plt.axvline(0, color='black',linewidth=1)  # Línea vertical en x=0
    # Agregar etiquetas y título
    plt.xlabel('x')
    plt.ylabel('f(x)')
    plt.title('Gráfico de la función $f(x) = e^x - 3x$')
    # Mostrar la leyenda y la gráfica
    plt.legend()
    plt.grid(True)
    plt.show()

graficar_funcion()